#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x1c6e5bfc, "module_layout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2e985330, "kmalloc_caches" },
	{ 0xf9a482f9, "msleep" },
	{ 0x152abfa1, "driver_register" },
	{ 0x56d6114f, "param_ops_int" },
	{ 0x67480317, "dvb_dmx_init" },
	{ 0x4e8a823f, "dvb_unregister_adapter" },
	{ 0x754d539c, "strlen" },
	{ 0x6dc50487, "fw_csr_string" },
	{ 0x5459c4e, "dvb_register_frontend" },
	{ 0x41cc8a9, "dvb_register_device" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x59cd07b0, "fw_bus_type" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x651874e2, "dvb_unregister_frontend" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0xdd64e639, "strscpy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf36db359, "dvb_net_release" },
	{ 0xdc165df8, "fw_iso_context_start" },
	{ 0xf2a7f39e, "fw_iso_context_queue_flush" },
	{ 0x1c713c3e, "input_event" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xfb578fc5, "memset" },
	{ 0xe9985536, "param_ops_short" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x802d5ad8, "dvb_dmxdev_release" },
	{ 0xb5136dc7, "mutex_lock_interruptible" },
	{ 0x977f511b, "__mutex_init" },
	{ 0xc5850110, "printk" },
	{ 0xe6f3f98d, "dvb_net_init" },
	{ 0xc6f3a6db, "driver_unregister" },
	{ 0xd4a84a2f, "dvb_generic_release" },
	{ 0xc5664491, "_raw_spin_unlock_irq" },
	{ 0x5a921311, "strncmp" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0xf56e9e9e, "noop_llseek" },
	{ 0xf34e9817, "fw_iso_buffer_destroy" },
	{ 0xbbd95636, "dvb_unregister_device" },
	{ 0x3ae582e3, "_dev_err" },
	{ 0x7b0d51ce, "dvb_dmx_release" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb20350aa, "_dev_info" },
	{ 0x1218dfe, "fw_iso_context_queue" },
	{ 0x815bbcdc, "dvb_generic_ioctl" },
	{ 0xdcf60586, "dvb_dmx_swfilter_packets" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x3491cb5f, "input_register_device" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xddb594c7, "dvb_generic_open" },
	{ 0x47941711, "_raw_spin_lock_irq" },
	{ 0x76520e7f, "input_free_device" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x804a6551, "fw_core_add_address_handler" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2ec434c0, "dvb_register_adapter" },
	{ 0x67e213b2, "kmem_cache_alloc_trace" },
	{ 0xf6839a59, "__dynamic_dev_dbg" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0x3eeb2322, "__wake_up" },
	{ 0x7e4c474b, "fw_iso_context_stop" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xf6def708, "fw_core_remove_address_handler" },
	{ 0x37a0cba, "kfree" },
	{ 0xa041f839, "fw_iso_context_create" },
	{ 0x69acdf38, "memcpy" },
	{ 0x17075e3c, "input_unregister_device" },
	{ 0x4df02057, "crc32_be" },
	{ 0x130e96cb, "param_array_ops" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6bdea1b7, "fw_iso_buffer_init" },
	{ 0x2f8e034d, "fw_run_transaction" },
	{ 0xf490c8fe, "fw_iso_context_destroy" },
	{ 0x70b63425, "dvb_dmxdev_init" },
	{ 0xd288bcae, "input_allocate_device" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=dvb-core,firewire-core";

MODULE_ALIAS("ieee1394:ven00001287mo00000024sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000025sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000026sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000034sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000035sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000036sp0000A02Dver00010001*");

MODULE_INFO(srcversion, "BD8F64D15A443FAB6F5AB88");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
