#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x1c6e5bfc, "module_layout" },
	{ 0x994e96da, "vb2_fop_release" },
	{ 0xfac44391, "v4l2_fh_open" },
	{ 0xfac59e07, "vb2_fop_mmap" },
	{  0x99d9a, "video_ioctl2" },
	{ 0xa4e57a3e, "vb2_fop_poll" },
	{ 0x864b8349, "vb2_fop_read" },
	{ 0x10d04da7, "vb2_ops_wait_finish" },
	{ 0xc22816b3, "vb2_ops_wait_prepare" },
	{ 0xb2cb4e5b, "vb2_ioctl_streamoff" },
	{ 0xae7c8948, "vb2_ioctl_streamon" },
	{ 0x630b3b3d, "vb2_ioctl_prepare_buf" },
	{ 0x30afa0ca, "vb2_ioctl_create_bufs" },
	{ 0xd9c89af3, "vb2_ioctl_dqbuf" },
	{ 0x941c7bf7, "vb2_ioctl_qbuf" },
	{ 0xa76ccea7, "vb2_ioctl_querybuf" },
	{ 0x233447c7, "vb2_ioctl_reqbufs" },
	{ 0x29527106, "i2c_del_driver" },
	{ 0x35f75488, "i2c_register_driver" },
	{ 0xd1999df2, "_dev_warn" },
	{ 0x1a77e809, "__video_register_device" },
	{ 0xfc0c53d7, "devm_nvmem_register" },
	{ 0xb601be4c, "__x86_indirect_thunk_rdx" },
	{ 0x4ec21468, "__pm_runtime_use_autosuspend" },
	{ 0x782d9a06, "pm_runtime_set_autosuspend_delay" },
	{ 0xc98dfa1b, "pm_runtime_enable" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7a1f35e, "vb2_queue_init" },
	{ 0x813c77c4, "vb2_vmalloc_memops" },
	{ 0x977f511b, "__mutex_init" },
	{ 0xbb808e6, "v4l2_device_register" },
	{ 0xad636a38, "__regmap_init_i2c" },
	{ 0xa104639, "device_get_match_data" },
	{ 0x542bf25b, "dev_fwnode" },
	{ 0x67e213b2, "kmem_cache_alloc_trace" },
	{ 0x2e985330, "kmalloc_caches" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xfc43e082, "video_unregister_device" },
	{ 0x522d65e4, "__pm_runtime_set_status" },
	{ 0xa4d9333c, "__pm_runtime_disable" },
	{ 0x6666deef, "wake_up_process" },
	{ 0x74a07f66, "kthread_create_on_node" },
	{ 0x9f8b40af, "__pm_runtime_resume" },
	{ 0x12a38747, "usleep_range" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbc225da6, "regmap_write" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x81c8cd1b, "freezing_slow_path" },
	{ 0x9d685cd3, "current_task" },
	{ 0x7ab88a45, "system_freezing_cnt" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1ed8b599, "__x86_indirect_thunk_r8" },
	{ 0xce483f29, "vb2_plane_vaddr" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x1a0a5efb, "__pm_runtime_suspend" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xdb41f9f8, "kthread_stop" },
	{ 0x67bc1879, "vb2_buffer_done" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe149d176, "video_devdata" },
	{ 0x37a0cba, "kfree" },
	{ 0x4c74fce, "regmap_exit" },
	{ 0x3ac15dba, "v4l2_device_unregister" },
	{ 0xdd64e639, "strscpy" },
	{ 0x733ed20b, "devm_hwmon_device_register_with_info" },
	{ 0xf8c9cce4, "regmap_get_device" },
	{ 0xdeb9c0aa, "regmap_update_bits_base" },
	{ 0xf35aff22, "regmap_bulk_read" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x301fa007, "_raw_spin_unlock" },
	{ 0xdbf17652, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=videobuf2-v4l2,videodev,videobuf2-vmalloc,videobuf2-common";

MODULE_ALIAS("of:N*T*Cpanasonic,amg88xx");
MODULE_ALIAS("of:N*T*Cpanasonic,amg88xxC*");
MODULE_ALIAS("of:N*T*Cmelexis,mlx90640");
MODULE_ALIAS("of:N*T*Cmelexis,mlx90640C*");
MODULE_ALIAS("i2c:amg88xx");
MODULE_ALIAS("i2c:mlx90640");

MODULE_INFO(srcversion, "19ED487765A48F280398A87");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
