#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x1c6e5bfc, "module_layout" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xdc911183, "dma_direct_unmap_sg" },
	{ 0x2e985330, "kmalloc_caches" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf9a482f9, "msleep" },
	{ 0x301fa007, "_raw_spin_unlock" },
	{ 0x1946bff4, "debugfs_create_dir" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xe43ee199, "single_open" },
	{ 0x42f356fa, "dma_set_mask" },
	{ 0xf14f3132, "single_release" },
	{ 0x7ec9b44b, "seq_puts" },
	{ 0x445a81ce, "boot_cpu_data" },
	{ 0x4fe93a9d, "pci_disable_device" },
	{ 0x53eabaac, "pci_disable_msix" },
	{ 0xdf566a59, "__x86_indirect_thunk_r9" },
	{ 0x5938cdfc, "seq_printf" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc29957c3, "__x86_indirect_thunk_rcx" },
	{ 0x87b8798d, "sg_next" },
	{ 0xb0825346, "pci_release_regions" },
	{ 0x854ab84, "debugfs_create_file" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2b0ed000, "seq_read" },
	{ 0x2eca6883, "vop_unregister_device" },
	{ 0xc729c6af, "pci_set_master" },
	{ 0xd1999df2, "_dev_warn" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x977f511b, "__mutex_init" },
	{ 0xc5850110, "printk" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf8193451, "scif_register_device" },
	{ 0xffb7c514, "ida_free" },
	{ 0x275717fd, "debugfs_remove" },
	{ 0x12b60588, "dma_direct_map_page" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x3e34a1f5, "mbus_register_device" },
	{ 0x69559960, "cosm_unregister_device" },
	{ 0xf94ec7ea, "cosm_register_device" },
	{ 0x3ae582e3, "_dev_err" },
	{ 0x41355cc0, "pci_enable_msi" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xeb95cf44, "dma_direct_unmap_page" },
	{ 0xb20350aa, "_dev_info" },
	{ 0xbb24a649, "pci_enable_msix_range" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x9cb986f2, "vmalloc_base" },
	{ 0xa1a1bd3b, "pci_intx" },
	{ 0xa9766107, "mbus_unregister_device" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x2c62f8d2, "dev_driver_string" },
	{ 0x74f9982, "vop_register_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xac42b072, "__dma_request_channel" },
	{ 0x6292e10c, "pci_unregister_driver" },
	{ 0x67e213b2, "kmem_cache_alloc_trace" },
	{ 0xdbf17652, "_raw_spin_lock" },
	{ 0xf17fe088, "pci_ioremap_bar" },
	{ 0xf6839a59, "__dynamic_dev_dbg" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0x10df5224, "seq_lseek" },
	{ 0x5499abde, "dma_release_channel" },
	{ 0x37a0cba, "kfree" },
	{ 0x43853a67, "dma_direct_map_sg" },
	{ 0x15e05055, "pci_request_regions" },
	{ 0x26f7aeb3, "pci_disable_msi" },
	{ 0xedc03953, "iounmap" },
	{ 0x24c0c474, "__pci_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0x8964326f, "request_firmware" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x341f114c, "pci_enable_device" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xe8dbbcd9, "scif_unregister_device" },
	{ 0xaa5bb342, "release_firmware" },
	{ 0x7020e074, "dma_ops" },
	{ 0xe484e35f, "ioread32" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xc1514a3b, "free_irq" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=vop_bus,scif_bus,mic_bus,cosm_bus";

MODULE_ALIAS("pci:v00008086d00002250sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002251sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002252sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002253sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002254sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002255sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002256sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002257sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002258sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002259sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000225Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000225Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000225Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000225Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000225Esv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "EC92BF1069C000C35CE234C");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
