#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x1c6e5bfc, "module_layout" },
	{ 0x56d6114f, "param_ops_int" },
	{ 0x620e09dc, "eth_validate_addr" },
	{ 0x3776234a, "eth_mac_addr" },
	{ 0xdcbac4a0, "pcmcia_unregister_driver" },
	{ 0xfed9d715, "pcmcia_register_driver" },
	{ 0x742f5665, "pcmcia_parse_tuple" },
	{ 0xdedc10db, "alloc_etherdev_mqs" },
	{ 0x3ae582e3, "_dev_err" },
	{ 0xd8917bd5, "pcmcia_get_mac_from_cis" },
	{ 0x37855072, "_dev_notice" },
	{ 0x37a0cba, "kfree" },
	{ 0x92c2bfa6, "pcmcia_get_tuple" },
	{ 0xb4db2f98, "pcmcia_loop_tuple" },
	{ 0x6b22a610, "pcmcia_map_mem_page" },
	{ 0x93a219c, "ioremap_nocache" },
	{ 0x889bf2af, "pcmcia_request_window" },
	{ 0xdc0439e2, "register_netdev" },
	{ 0x462fe962, "pcmcia_enable_device" },
	{ 0xfcd40f71, "pcmcia_request_irq" },
	{ 0x816c79b3, "pcmcia_loop_config" },
	{ 0x754d539c, "strlen" },
	{ 0x24d273d1, "add_timer" },
	{ 0xdcd745b3, "pv_ops" },
	{ 0x7d3bcf0e, "netif_rx" },
	{ 0x46409204, "eth_type_trans" },
	{ 0xca823c4b, "skb_put" },
	{ 0x74243ed6, "__netdev_alloc_skb" },
	{ 0x301fa007, "_raw_spin_unlock" },
	{ 0xdbf17652, "_raw_spin_lock" },
	{ 0xf87f50ca, "mii_ethtool_get_link_ksettings" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x52605fa3, "pcmcia_dev_present" },
	{ 0x9fa6b720, "pcmcia_fixup_iowidth" },
	{ 0x98c82707, "netif_device_attach" },
	{ 0xc5850110, "printk" },
	{ 0xaa5bb342, "release_firmware" },
	{ 0x8964326f, "request_firmware" },
	{ 0xd6f393da, "pcmcia_request_io" },
	{ 0x97934ecf, "del_timer_sync" },
	{ 0x5103d326, "consume_skb" },
	{ 0xc90200e6, "netdev_err" },
	{ 0x21690567, "netdev_warn" },
	{ 0xf07fce53, "__dev_kfree_skb_irq" },
	{ 0x49951708, "sev_enable_key" },
	{ 0xd988f99e, "generic_mii_ioctl" },
	{ 0xfa797b2a, "netdev_info" },
	{ 0x490a9b, "netif_tx_wake_queue" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2f673ac1, "netdev_notice" },
	{ 0x5792f848, "strlcpy" },
	{ 0xaa33323c, "mii_nway_restart" },
	{ 0x12878bfc, "mii_link_ok" },
	{ 0xdfc85c9b, "mii_ethtool_set_link_ksettings" },
	{ 0x5e068f23, "free_netdev" },
	{ 0xaa6dbae0, "unregister_netdev" },
	{ 0xf6839a59, "__dynamic_dev_dbg" },
	{ 0x955f95d2, "pcmcia_disable_device" },
	{ 0xedc03953, "iounmap" },
	{ 0x23d97c32, "netif_device_detach" },
	{ 0xaacc5347, "__dynamic_netdev_dbg" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=pcmcia,mii";

MODULE_ALIAS("pcmcia:m0109c0501f*fn*pfn00pa*pb*pc*pd*");
MODULE_ALIAS("pcmcia:m0140c000Af*fn*pfn00pa*pb*pc*pd*");
MODULE_ALIAS("pcmcia:m*c*f*fn*pfn00paF510DB04pb04CD2988pc46A52D63pd*");
MODULE_ALIAS("pcmcia:m*c*f*fn*pfn00paF510DB04pb0143B773pc46A52D63pd*");
MODULE_ALIAS("pcmcia:m*c*f*fn*pfn00paF510DB04pb856D66C8pcBD6C43EFpd*");
MODULE_ALIAS("pcmcia:m*c*f*fn*pfn00paF510DB04pb52D21E1EpcBD6C43EFpd*");
MODULE_ALIAS("pcmcia:m*c*f*fn*pfn00paDD9989BEpb662C394Cpc*pd*");
MODULE_ALIAS("pcmcia:m*c*f*fn*pfn00paF510DB04pb52D21E1Epc*pd*");
MODULE_ALIAS("pcmcia:m*c*f*fn*pfn00pa0C2F80CDpb656947B9pc*pd*");
MODULE_ALIAS("pcmcia:m*c*f*fn*pfn00pa0C2F80CDpbDC9BA5EDpc*pd*");
MODULE_ALIAS("pcmcia:m016Cc0020f*fn00pfn*pa*pb*pc*pd*");
MODULE_ALIAS("pcmcia:m016Cc0023f*fn*pfn*pa*pb*pc*pd*");
MODULE_ALIAS("pcmcia:m*c*f*fn*pfn*pa23C78A9Dpb00B2E941pcCEF397FBpd*");
MODULE_ALIAS("pcmcia:m*c*f*fn*pfn*pa78F308DCpbDCEA68BCpc*pd*");
MODULE_ALIAS("pcmcia:m*c*f*fn*pfn*paE59365C8pb6A2161D1pc*pd*");
MODULE_ALIAS("pcmcia:m*c*f*fn*pfn*pa6A26D1CFpbC16CE9C5pc*pd*");
MODULE_ALIAS("pcmcia:m*c*f*fn*pfn*pa58D93FC4pb244734E9pc*pd*");
MODULE_ALIAS("pcmcia:m*c*f*fn*pfn*pa33234748pb3C95B953pc*pd*");
MODULE_ALIAS("pcmcia:m*c*f*fn*pfn*paA2CD8E6Dpb42DA662Apc*pd*");
MODULE_ALIAS("pcmcia:m*c*f*fn*pfn*pa0C2F80CDpbB3466314pc*pd*");
MODULE_ALIAS("pcmcia:m*c*f*fn*pfn*pa0C2F80CDpb194B650Apc*pd*");
MODULE_ALIAS("pcmcia:m*c*f*fn*pfn*pa281F1C5DpbDCEA68BCpc*pd*");
MODULE_ALIAS("pcmcia:m*c*f*fn*pfn*pa4EF00B21pb844BE9E9pc*pd*");
MODULE_ALIAS("pcmcia:m*c*f*fn*pfn*paC4F8B18Bpb4A0EEB2Dpc*pd*");

MODULE_INFO(srcversion, "13B9DA273946DEA84C5A48F");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
