#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x1c6e5bfc, "module_layout" },
	{ 0x8c8a5fb9, "param_ops_bool" },
	{ 0xb5c92c9, "ethtool_op_get_ts_info" },
	{ 0xfe08e167, "usbnet_get_link" },
	{ 0x2365107, "usbnet_nway_reset" },
	{ 0x5c53c653, "usbnet_set_msglevel" },
	{ 0xb35d6689, "usbnet_get_msglevel" },
	{ 0xe18ae26b, "usbnet_get_drvinfo" },
	{ 0xdb4e5bac, "usbnet_get_stats64" },
	{ 0xaec5b1b4, "usbnet_tx_timeout" },
	{ 0x5d6cc77d, "usbnet_change_mtu" },
	{ 0x620e09dc, "eth_validate_addr" },
	{ 0x3776234a, "eth_mac_addr" },
	{ 0xe35a48f7, "usbnet_start_xmit" },
	{ 0xbf96e255, "usbnet_stop" },
	{ 0x2c986400, "usbnet_open" },
	{ 0xb4ea4064, "usbnet_disconnect" },
	{ 0x29c4dafd, "usbnet_probe" },
	{ 0x3eb02369, "usb_deregister" },
	{ 0x16e8257f, "usb_register_driver" },
	{ 0x971ca34c, "usbnet_suspend" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0x67e213b2, "kmem_cache_alloc_trace" },
	{ 0x2e985330, "kmalloc_caches" },
	{ 0xfdf1549d, "usbnet_get_endpoints" },
	{ 0xc5850110, "printk" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x58960f68, "usbnet_link_change" },
	{ 0x503c0dac, "usb_autopm_get_interface_no_resume" },
	{ 0xf92ce225, "usb_autopm_put_interface" },
	{ 0xfa797b2a, "netdev_info" },
	{ 0xb4ba9b3b, "usbnet_skb_return" },
	{ 0x28254679, "skb_trim" },
	{ 0x1d7b7195, "skb_clone" },
	{ 0x3e068c7d, "skb_pull" },
	{ 0x852076df, "usbnet_resume" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xaa33323c, "mii_nway_restart" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf5774c75, "usbnet_set_link_ksettings" },
	{ 0x82fb452b, "mii_ethtool_gset" },
	{ 0xa3867acb, "mii_check_media" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xda13b199, "usbnet_read_cmd_nopm" },
	{ 0x8c926cb5, "usbnet_read_cmd" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x88e0ff01, "usbnet_write_cmd_nopm" },
	{ 0xcdb2d90, "usbnet_write_cmd" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd988f99e, "generic_mii_ioctl" },
	{ 0x549844ed, "device_set_wakeup_enable" },
	{ 0x2f62a8dc, "usbnet_get_link_ksettings" },
	{ 0x37a0cba, "kfree" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xfb252907, "usbnet_write_cmd_async" },
	{ 0x21690567, "netdev_warn" },
	{ 0xaacc5347, "__dynamic_netdev_dbg" },
	{ 0xc94ea065, "usbnet_defer_kevent" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x32346360, "__dev_kfree_skb_any" },
	{ 0xa316dd5c, "pskb_expand_head" },
	{ 0x6bbf3161, "skb_push" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,usbcore,mii";

MODULE_ALIAS("usb:v0424p9500d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9505d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9E00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9E01d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424pEC00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9900d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9901d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9902d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9903d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9904d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9905d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9906d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9907d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9908d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9909d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9530d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9730d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9E08d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "CA00E4A06D9DA724864262B");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
