#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x1c6e5bfc, "module_layout" },
	{ 0x8c9204c3, "mt76x02_remove_interface" },
	{ 0xd920b81a, "__mt76_poll" },
	{ 0x58a5f5e7, "mt76x02_sw_scan" },
	{ 0xde375481, "mt76x02_conf_tx" },
	{ 0x12271cb2, "mt76x02_ampdu_action" },
	{ 0x689c3164, "mt76u_stop_rx" },
	{ 0xbbdb9172, "mt76x02u_exit_beacon_config" },
	{ 0x97c8f603, "mt76x02_add_interface" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x327f9bbb, "mt76u_vendor_request" },
	{ 0xc0dd1696, "ieee80211_unregister_hw" },
	{ 0x34da2fa9, "mt76x02u_init_beacon_config" },
	{ 0x41c8a47f, "mt76u_stop_tx" },
	{ 0x5b6fe834, "mt76u_alloc_queues" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xce9fd865, "mt76x0_mac_start" },
	{ 0xb792cccd, "mt76x02_bss_info_changed" },
	{ 0xfab5aeb7, "mt76x0_init_hardware" },
	{ 0xf6f5c7a9, "mt76_sta_state" },
	{ 0x3748007c, "mt76x02_set_rts_threshold" },
	{ 0x86092e9b, "mt76x02u_tx_prepare_skb" },
	{ 0xd130d55f, "mt76x02u_init_mcu" },
	{ 0xd1999df2, "_dev_warn" },
	{ 0x4b2bf6cd, "mt76u_init" },
	{ 0x3bd113d8, "mt76x02u_mcu_fw_send_data" },
	{ 0x70be5ce, "mt76x0_mac_stop" },
	{ 0xd884584c, "mt76x02_sta_add" },
	{ 0x586d66c6, "mt76x02_tx_status_data" },
	{ 0x3eb02369, "usb_deregister" },
	{ 0x977f511b, "__mutex_init" },
	{ 0x638a4938, "mt76x02_sta_remove" },
	{ 0xad422ded, "mt76x02_tx" },
	{ 0x7418c184, "__mt76_poll_msec" },
	{ 0xc17e5b65, "mt76x02_sw_scan_complete" },
	{ 0xdf49fe0b, "mt76_set_tim" },
	{ 0x95c7cfe2, "mt76x0_phy_calibrate" },
	{ 0x5d14746e, "mt76x02u_mcu_fw_reset" },
	{ 0x3ae582e3, "_dev_err" },
	{ 0x97ad3ffb, "mt76x0_register_device" },
	{ 0xe816b64b, "mt76x0_config" },
	{ 0xe2cec1cd, "ieee80211_queue_delayed_work" },
	{ 0xc815d383, "mt76u_queues_deinit" },
	{ 0xbcd08d86, "mt76x02_queue_rx_skb" },
	{ 0xec3d4ff4, "mt76x0_chip_onoff" },
	{ 0xb46ed24e, "mt76x02_configure_filter" },
	{ 0xb20350aa, "_dev_info" },
	{ 0xdb18b44d, "usb_get_dev" },
	{ 0x12a38747, "usleep_range" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x97ea1bed, "usb_reset_device" },
	{ 0xa83b7c2d, "usb_put_dev" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x6394014b, "mt76_alloc_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf6839a59, "__dynamic_dev_dbg" },
	{ 0x537d9b0, "mt76x02_sta_rate_tbl_update" },
	{ 0x596a4b5, "mt76u_resume_rx" },
	{ 0xb86088b9, "mt76x02_sta_ps" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0dc1fc7, "mt76_wake_tx_queue" },
	{ 0xae6b81c4, "mt76_get_txpower" },
	{ 0x16e8257f, "usb_register_driver" },
	{ 0x8964326f, "request_firmware" },
	{ 0xac56bd1c, "mt76_release_buffered_frames" },
	{ 0x9f6a8038, "ieee80211_free_hw" },
	{ 0x3407eee, "mt76x02_set_key" },
	{ 0x45eaa28a, "firmware_request_nowarn" },
	{ 0xaa5bb342, "release_firmware" },
	{ 0xaf991269, "mt76x02u_tx_complete_skb" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=mt76x02-lib,mt76,mt76-usb,mt76x02-usb,mac80211,mt76x0-common,usbcore";

MODULE_ALIAS("usb:v148Fp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p003Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pA711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp761Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp760Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17D1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17DBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0075d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2019pAB31d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3D02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0586p3425d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0951d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8502d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v293Cp5702d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v20F4p806Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pC711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0079d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p0105d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7630d*dc*dsc*dp*icFFisc02ipFFin*");
MODULE_ALIAS("usb:v0E8Dp7650d*dc*dsc*dp*icFFisc02ipFFin*");

MODULE_INFO(srcversion, "925183ECD2EB34F8976E70A");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
