#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x1c6e5bfc, "module_layout" },
	{ 0xe3ca7ca0, "param_ops_string" },
	{ 0x56d6114f, "param_ops_int" },
	{ 0xdb4e5bac, "usbnet_get_stats64" },
	{ 0xaec5b1b4, "usbnet_tx_timeout" },
	{ 0x620e09dc, "eth_validate_addr" },
	{ 0x3776234a, "eth_mac_addr" },
	{ 0xe35a48f7, "usbnet_start_xmit" },
	{ 0xbf96e255, "usbnet_stop" },
	{ 0x2c986400, "usbnet_open" },
	{ 0x1e46c800, "rndis_tx_fixup" },
	{ 0x22bbd6d4, "rndis_rx_fixup" },
	{ 0xbbda9a2d, "rndis_status" },
	{ 0x852076df, "usbnet_resume" },
	{ 0x971ca34c, "usbnet_suspend" },
	{ 0xb4ea4064, "usbnet_disconnect" },
	{ 0x29c4dafd, "usbnet_probe" },
	{ 0x3eb02369, "usb_deregister" },
	{ 0x16e8257f, "usb_register_driver" },
	{ 0x77068a2, "wiphy_register" },
	{ 0x968461a7, "generic_rndis_bind" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x977f511b, "__mutex_init" },
	{ 0x65ad86e7, "wiphy_new_nm" },
	{ 0xc90200e6, "netdev_err" },
	{ 0xaf31f441, "usbnet_purge_paused_rxq" },
	{ 0x9c64fbd, "ieee80211_frequency_to_channel" },
	{ 0xe8663ae6, "ieee80211_channel_to_frequency" },
	{ 0xea7e036a, "netif_carrier_off" },
	{ 0x45ac12ff, "cfg80211_disconnected" },
	{ 0xc5850110, "printk" },
	{ 0x801bf142, "cfg80211_roamed" },
	{ 0x63c2b821, "netif_carrier_on" },
	{ 0xf1117e21, "usbnet_resume_rx" },
	{ 0x335f2728, "cfg80211_ibss_joined" },
	{ 0x67e213b2, "kmem_cache_alloc_trace" },
	{ 0x2e985330, "kmalloc_caches" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd312b1fb, "cfg80211_cqm_rssi_notify" },
	{ 0x58bab914, "cfg80211_put_bss" },
	{ 0xf27903f5, "ieee80211_get_channel" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x49c41a57, "_raw_spin_unlock_bh" },
	{ 0xb3635b01, "_raw_spin_lock_bh" },
	{ 0xded93222, "cfg80211_scan_done" },
	{ 0x54f239fd, "wiphy_free" },
	{ 0xde16abe5, "wiphy_unregister" },
	{ 0x79650c68, "rndis_unbind" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x42160169, "flush_workqueue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0xf9a482f9, "msleep" },
	{ 0x21690567, "netdev_warn" },
	{ 0x37a0cba, "kfree" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0x7cf8b8ce, "rndis_command" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4e5189e0, "cfg80211_inform_bss_data" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x53a865c6, "cfg80211_connect_done" },
	{ 0x9493e687, "usbnet_pause_rx" },
	{ 0x54911414, "cfg80211_michael_mic_failure" },
	{ 0xaacc5347, "__dynamic_netdev_dbg" },
	{ 0x44acd5d, "cfg80211_pmksa_candidate_notify" },
	{ 0xfa797b2a, "netdev_info" },
	{ 0x11089ac7, "_ctype" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,rndis_host,usbcore,cfg80211";

MODULE_ALIAS("usb:v0411p00BCd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0BAFp011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v050Dp011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v1799p011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p0014d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p0026d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0B05p1717d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0A5CpD11Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v1690p0715d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p000Ed*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0BAFp0111d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0411p004Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01in*");

MODULE_INFO(srcversion, "AEC3E86F8E3A19A4D8F6728");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
