#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x1c6e5bfc, "module_layout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2e985330, "kmalloc_caches" },
	{ 0x747a304e, "snd_hdac_regmap_sync" },
	{ 0xf9a482f9, "msleep" },
	{ 0x169b18a6, "snd_hda_gen_free" },
	{ 0x683d8db8, "snd_hda_mixer_amp_volume_put" },
	{ 0x2a5b3162, "snd_hdac_codec_read" },
	{ 0xcc3b2d1c, "snd_hda_enum_helper_info" },
	{ 0xda33bd7a, "snd_hda_gen_parse_auto_config" },
	{ 0x8255f2d6, "snd_hda_add_verbs" },
	{ 0x7f2c137b, "snd_hda_apply_fixup" },
	{ 0x60de17f0, "snd_hda_pick_fixup" },
	{ 0xf43708a7, "snd_hda_mixer_amp_tlv" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x5f37867f, "snd_hda_gen_build_pcms" },
	{ 0x5b07faa0, "snd_hda_override_conn_list" },
	{ 0x7167e91d, "snd_hda_check_amp_list_power" },
	{ 0x9c0e43e4, "snd_hda_jack_unsol_event" },
	{ 0x48e45bc4, "snd_hda_codec_set_pincfg" },
	{ 0xb5ac7a8f, "snd_hda_mixer_amp_switch_put" },
	{ 0x9707e187, "snd_hda_mixer_amp_volume_get" },
	{ 0xeecb0115, "snd_hda_codec_set_name" },
	{ 0x4a9616b0, "snd_hda_mixer_amp_switch_get" },
	{ 0x950a4242, "snd_hda_gen_init" },
	{ 0x310924ea, "snd_hda_parse_pin_defcfg" },
	{ 0x73a05df1, "__hda_codec_driver_register" },
	{ 0x30f66f49, "snd_hda_override_amp_caps" },
	{ 0xacbe78d1, "snd_ctl_boolean_mono_info" },
	{ 0xaf79d01e, "snd_hda_get_bool_hint" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x2322d12c, "_snd_hdac_read_parm" },
	{ 0xa09ec813, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x67e213b2, "kmem_cache_alloc_trace" },
	{ 0xb06a2334, "snd_hda_gen_add_kctl" },
	{ 0xcaacb0bf, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0x677ed193, "snd_hdac_codec_write" },
	{ 0x8e339750, "snd_hda_codec_get_pincfg" },
	{ 0x1270f2fe, "hda_codec_driver_unregister" },
	{ 0x6c1d2223, "snd_hda_mixer_amp_switch_info" },
	{ 0x8385c3d4, "snd_hda_gen_spec_init" },
	{ 0xf17e2431, "snd_hdac_regmap_read_raw" },
	{ 0xb18cd514, "snd_hda_mixer_amp_volume_info" },
	{ 0xb3aebddd, "snd_hda_gen_build_controls" },
	{ 0x7258a5e4, "snd_hda_get_connections" },
	{ 0x89e75112, "snd_hda_shutup_pins" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-hda-core,snd-hda-codec-generic,snd-hda-codec,snd";

MODULE_ALIAS("hdaudio:v11061708r*a01*");
MODULE_ALIAS("hdaudio:v11061709r*a01*");
MODULE_ALIAS("hdaudio:v1106170Ar*a01*");
MODULE_ALIAS("hdaudio:v1106170Br*a01*");
MODULE_ALIAS("hdaudio:v1106E710r*a01*");
MODULE_ALIAS("hdaudio:v1106E711r*a01*");
MODULE_ALIAS("hdaudio:v1106E712r*a01*");
MODULE_ALIAS("hdaudio:v1106E713r*a01*");
MODULE_ALIAS("hdaudio:v1106E714r*a01*");
MODULE_ALIAS("hdaudio:v1106E715r*a01*");
MODULE_ALIAS("hdaudio:v1106E716r*a01*");
MODULE_ALIAS("hdaudio:v1106E717r*a01*");
MODULE_ALIAS("hdaudio:v1106E720r*a01*");
MODULE_ALIAS("hdaudio:v1106E721r*a01*");
MODULE_ALIAS("hdaudio:v1106E722r*a01*");
MODULE_ALIAS("hdaudio:v1106E723r*a01*");
MODULE_ALIAS("hdaudio:v1106E724r*a01*");
MODULE_ALIAS("hdaudio:v1106E725r*a01*");
MODULE_ALIAS("hdaudio:v1106E726r*a01*");
MODULE_ALIAS("hdaudio:v1106E727r*a01*");
MODULE_ALIAS("hdaudio:v11060397r*a01*");
MODULE_ALIAS("hdaudio:v11061397r*a01*");
MODULE_ALIAS("hdaudio:v11062397r*a01*");
MODULE_ALIAS("hdaudio:v11063397r*a01*");
MODULE_ALIAS("hdaudio:v11064397r*a01*");
MODULE_ALIAS("hdaudio:v11065397r*a01*");
MODULE_ALIAS("hdaudio:v11066397r*a01*");
MODULE_ALIAS("hdaudio:v11067397r*a01*");
MODULE_ALIAS("hdaudio:v11060398r*a01*");
MODULE_ALIAS("hdaudio:v11061398r*a01*");
MODULE_ALIAS("hdaudio:v11062398r*a01*");
MODULE_ALIAS("hdaudio:v11063398r*a01*");
MODULE_ALIAS("hdaudio:v11064398r*a01*");
MODULE_ALIAS("hdaudio:v11065398r*a01*");
MODULE_ALIAS("hdaudio:v11066398r*a01*");
MODULE_ALIAS("hdaudio:v11067398r*a01*");
MODULE_ALIAS("hdaudio:v11060428r*a01*");
MODULE_ALIAS("hdaudio:v11064428r*a01*");
MODULE_ALIAS("hdaudio:v11060441r*a01*");
MODULE_ALIAS("hdaudio:v11064441r*a01*");
MODULE_ALIAS("hdaudio:v11060433r*a01*");
MODULE_ALIAS("hdaudio:v1106A721r*a01*");
MODULE_ALIAS("hdaudio:v11060438r*a01*");
MODULE_ALIAS("hdaudio:v11064438r*a01*");
MODULE_ALIAS("hdaudio:v11060448r*a01*");
MODULE_ALIAS("hdaudio:v11060440r*a01*");
MODULE_ALIAS("hdaudio:v11060446r*a01*");
MODULE_ALIAS("hdaudio:v11068446r*a01*");
MODULE_ALIAS("hdaudio:v11064760r*a01*");
MODULE_ALIAS("hdaudio:v11064761r*a01*");
MODULE_ALIAS("hdaudio:v11064762r*a01*");

MODULE_INFO(srcversion, "32CF867C04E4B23CAF02659");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
