#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x1c6e5bfc, "module_layout" },
	{ 0x8c8a5fb9, "param_ops_bool" },
	{ 0x30dd71b7, "rt2x00mac_tx_frames_pending" },
	{ 0xc5d7ab1d, "rt2x00mac_get_ringparam" },
	{ 0x4d0ce020, "rt2x00mac_get_antenna" },
	{ 0x7e1525b3, "rt2x00mac_set_antenna" },
	{ 0x22a3012e, "rt2x00mac_flush" },
	{ 0xfaca5f3b, "rt2x00mac_rfkill_poll" },
	{ 0xfb10e59b, "rt2x00mac_conf_tx" },
	{ 0x8325716, "rt2x00mac_get_stats" },
	{ 0xd8656b5b, "rt2x00mac_sw_scan_complete" },
	{ 0xd2fa706e, "rt2x00mac_sw_scan_start" },
	{ 0xb43b23e3, "rt2x00mac_set_key" },
	{ 0x289160fe, "rt2x00mac_set_tim" },
	{ 0x11286193, "rt2x00mac_configure_filter" },
	{ 0x12c191f7, "rt2x00mac_bss_info_changed" },
	{ 0x3cca6364, "rt2x00mac_config" },
	{ 0x958934fd, "rt2x00mac_remove_interface" },
	{ 0xb8bf4336, "rt2x00mac_add_interface" },
	{ 0x3c356260, "rt2x00mac_stop" },
	{ 0xb6097fbf, "rt2x00mac_start" },
	{ 0x8392f2c1, "rt2x00mac_tx" },
	{ 0xd493f452, "rt2x00usb_flush_queue" },
	{ 0xbdaae24e, "rt2x00usb_kick_queue" },
	{ 0x87c1ccd, "rt2x00usb_watchdog" },
	{ 0xa0cd8b64, "rt2x00usb_clear_entry" },
	{ 0x4a60184, "rt2x00usb_uninitialize" },
	{ 0x2afae88e, "rt2x00usb_initialize" },
	{ 0x15ae68db, "rt2x00usb_resume" },
	{ 0xad582125, "rt2x00usb_suspend" },
	{ 0x4f205c12, "rt2x00usb_disconnect" },
	{ 0x3eb02369, "usb_deregister" },
	{ 0x16e8257f, "usb_register_driver" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf6839a59, "__dynamic_dev_dbg" },
	{ 0xb20350aa, "_dev_info" },
	{ 0xfb801830, "rt2x00lib_set_mac_address" },
	{ 0xe2b41acb, "rt2x00usb_vendor_request" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdcb5ce15, "rt2x00usb_disable_radio" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0x3ae582e3, "_dev_err" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x594efec9, "rt2x00usb_vendor_req_buff_lock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5103d326, "consume_skb" },
	{ 0xfa4ae65a, "usb_submit_urb" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x6bbf3161, "skb_push" },
	{ 0x28254679, "skb_trim" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x82166c54, "rt2x00usb_vendor_request_buff" },
	{ 0x30872967, "rt2x00usb_probe" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=rt2x00lib,rt2x00usb,usbcore";

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "E6636E1F71B87380790B02F");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
