#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x1c6e5bfc, "module_layout" },
	{ 0xc6f3a6db, "driver_unregister" },
	{ 0x3a9fffc0, "uart_unregister_driver" },
	{ 0x29527106, "i2c_del_driver" },
	{ 0xf51d318c, "__spi_register_driver" },
	{ 0x35f75488, "i2c_register_driver" },
	{ 0xc5850110, "printk" },
	{ 0xcf32bde4, "uart_register_driver" },
	{ 0xcce02995, "__devm_regmap_init_i2c" },
	{ 0xaf525934, "spi_get_device_id" },
	{ 0x32ad2bcf, "__devm_regmap_init_spi" },
	{ 0xa104639, "device_get_match_data" },
	{ 0x2952060a, "spi_setup" },
	{ 0xf6839a59, "__dynamic_dev_dbg" },
	{ 0x93f57e95, "devm_request_threaded_irq" },
	{ 0x3ef2c398, "uart_add_one_port" },
	{ 0x6dd635c, "gpiochip_remove" },
	{ 0x41a4038a, "uart_remove_one_port" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xdb41f9f8, "kthread_stop" },
	{ 0x761c912f, "gpiochip_add_data_with_key" },
	{ 0x888d95cb, "sched_setscheduler" },
	{ 0x6666deef, "wake_up_process" },
	{ 0x74a07f66, "kthread_create_on_node" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0xb0e9e39c, "__kthread_init_worker" },
	{ 0x977f511b, "__mutex_init" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x2cdb6168, "devm_clk_get" },
	{ 0xd4f47a58, "device_property_read_u32_array" },
	{ 0xc8eb1d42, "devm_kmalloc" },
	{ 0xd1999df2, "_dev_warn" },
	{ 0x6e179014, "do_SAK" },
	{ 0xb601be4c, "__x86_indirect_thunk_rdx" },
	{ 0x993eb045, "tty_flip_buffer_push" },
	{ 0x60ba79a0, "uart_insert_char" },
	{ 0x9995149b, "regmap_raw_read" },
	{ 0xdc2e5812, "gpiochip_get_data" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc2a2a95d, "uart_update_timeout" },
	{ 0x3692ad13, "uart_get_baud_rate" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x6d494366, "uart_write_wakeup" },
	{ 0xdd201bfb, "regmap_raw_write" },
	{ 0x34208a32, "regcache_cache_bypass" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xd58d64b3, "regmap_read" },
	{ 0x3ae582e3, "_dev_err" },
	{ 0x843b3d41, "kthread_queue_work" },
	{ 0x81da03ac, "kthread_flush_worker" },
	{ 0xbc225da6, "regmap_write" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0xdeb9c0aa, "regmap_update_bits_base" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=";

MODULE_ALIAS("i2c:sc16is74x");
MODULE_ALIAS("i2c:sc16is740");
MODULE_ALIAS("i2c:sc16is741");
MODULE_ALIAS("i2c:sc16is750");
MODULE_ALIAS("i2c:sc16is752");
MODULE_ALIAS("i2c:sc16is760");
MODULE_ALIAS("i2c:sc16is762");
MODULE_ALIAS("spi:sc16is74x");
MODULE_ALIAS("spi:sc16is740");
MODULE_ALIAS("spi:sc16is741");
MODULE_ALIAS("spi:sc16is750");
MODULE_ALIAS("spi:sc16is752");
MODULE_ALIAS("spi:sc16is760");
MODULE_ALIAS("spi:sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762C*");

MODULE_INFO(srcversion, "17C090287E4439D8C84DEBE");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
