#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x1c6e5bfc, "module_layout" },
	{ 0x3eb02369, "usb_deregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x16e8257f, "usb_register_driver" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf5e5fc0a, "scsi_add_host_with_dma" },
	{ 0xd1999df2, "_dev_warn" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf289b5c6, "scsi_host_alloc" },
	{ 0x7d2b47e2, "usb_stor_adjust_quirks" },
	{ 0x1bc3edc2, "usb_stor_sense_invalidCDB" },
	{ 0xa608846d, "usb_unlink_urb" },
	{ 0xe3994de6, "sdev_prefix_printk" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc15c38a8, "usb_unanchor_urb" },
	{ 0x67e213b2, "kmem_cache_alloc_trace" },
	{ 0x2e985330, "kmalloc_caches" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfa4ae65a, "usb_submit_urb" },
	{ 0x1c84eafc, "usb_anchor_urb" },
	{ 0x49f505f3, "usb_alloc_urb" },
	{ 0x21deae92, "blk_queue_max_hw_sectors" },
	{ 0x37c6d37f, "blk_queue_update_dma_alignment" },
	{ 0xf6839a59, "__dynamic_dev_dbg" },
	{ 0x1a3f9317, "scsi_scan_host" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0x446c9dfe, "usb_lock_device_for_reset" },
	{ 0x9ef929e, "scsi_host_put" },
	{ 0xbc0e3d4c, "scsi_remove_host" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc5850110, "printk" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x9adde057, "usb_kill_urb" },
	{ 0xb880ae3a, "usb_get_urb" },
	{ 0xd81d5792, "scsi_print_command" },
	{ 0x72bff2ff, "scmd_printk" },
	{ 0x35bc45c7, "scsi_report_bus_reset" },
	{ 0x6d152565, "usb_alloc_streams" },
	{ 0xd46d70ae, "scsi_change_queue_depth" },
	{ 0xb4d8b66f, "scsi_is_host_device" },
	{ 0x3ae582e3, "_dev_err" },
	{ 0xe6d40a4c, "usb_free_urb" },
	{ 0x369abea4, "scsi_unblock_requests" },
	{ 0x5699f19f, "dev_printk" },
	{ 0x90ead7f9, "scsi_block_requests" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0x407af304, "usb_wait_anchor_empty_timeout" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x97ea1bed, "usb_reset_device" },
	{ 0x87d30329, "usb_set_interface" },
	{ 0x15af7f4, "system_state" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xc07ef913, "usb_free_streams" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,usb-storage";

MODULE_ALIAS("usb:v054Cp087Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp105Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp1061d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0984p0301d0128dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BC2p331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13FDp3940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0539d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0567d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0578d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2537p1068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v357Dp7788d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p1012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip50in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip62in*");

MODULE_INFO(srcversion, "47890C34056A676F1DEC17A");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
