#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x1c6e5bfc, "module_layout" },
	{ 0x2e985330, "kmalloc_caches" },
	{ 0xe4ef6073, "snd_hda_gen_fixup_micmute_led" },
	{ 0x169b18a6, "snd_hda_gen_free" },
	{ 0xf7d3b280, "snd_hda_codec_get_pin_target" },
	{ 0x683d8db8, "snd_hda_mixer_amp_volume_put" },
	{ 0x375cacd5, "snd_hda_input_mux_info" },
	{ 0xda33bd7a, "snd_hda_gen_parse_auto_config" },
	{ 0x8255f2d6, "snd_hda_add_verbs" },
	{ 0x7f2c137b, "snd_hda_apply_fixup" },
	{ 0x60de17f0, "snd_hda_pick_fixup" },
	{ 0xf43708a7, "snd_hda_mixer_amp_tlv" },
	{ 0x5f37867f, "snd_hda_gen_build_pcms" },
	{ 0x9c0e43e4, "snd_hda_jack_unsol_event" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x47d78259, "snd_hda_gen_update_outputs" },
	{ 0x75f8425b, "snd_hda_get_path_from_idx" },
	{ 0x9707e187, "snd_hda_mixer_amp_volume_get" },
	{ 0x9ffe9332, "snd_hdac_regmap_write_raw" },
	{ 0xc5850110, "printk" },
	{ 0x4168ea45, "snd_hda_gen_check_power_status" },
	{ 0xd4ca9975, "snd_hda_codec_set_pin_target" },
	{ 0xa49fb04b, "snd_hdac_regmap_add_vendor_verb" },
	{ 0xf2493845, "snd_hda_gen_add_micmute_led" },
	{ 0xd53e3e19, "snd_hda_activate_path" },
	{ 0x950a4242, "snd_hda_gen_init" },
	{ 0x310924ea, "snd_hda_parse_pin_defcfg" },
	{ 0x279d58ed, "snd_hda_jack_set_gating_jack" },
	{ 0x73a05df1, "__hda_codec_driver_register" },
	{ 0x30f66f49, "snd_hda_override_amp_caps" },
	{ 0xacbe78d1, "snd_ctl_boolean_mono_info" },
	{ 0xb20350aa, "_dev_info" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x2322d12c, "_snd_hdac_read_parm" },
	{ 0xa09ec813, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xa85d7e7e, "snd_hda_gen_reboot_notify" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x67e213b2, "kmem_cache_alloc_trace" },
	{ 0xf6839a59, "__dynamic_dev_dbg" },
	{ 0xb06a2334, "snd_hda_gen_add_kctl" },
	{ 0x3bd45b0d, "ledtrig_audio_set" },
	{ 0xcaacb0bf, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0x677ed193, "snd_hdac_codec_write" },
	{ 0xbaeb2554, "snd_hda_add_new_path" },
	{ 0x1270f2fe, "hda_codec_driver_unregister" },
	{ 0x6c1d2223, "snd_hda_mixer_amp_switch_info" },
	{ 0x8385c3d4, "snd_hda_gen_spec_init" },
	{ 0xb0fbcfbd, "snd_hda_jack_detect_state_mst" },
	{ 0xf17e2431, "snd_hdac_regmap_read_raw" },
	{ 0xb18cd514, "snd_hda_mixer_amp_volume_info" },
	{ 0x485879f5, "query_amp_caps" },
	{ 0xb9873e43, "snd_hda_gen_mic_autoswitch" },
	{ 0xb3aebddd, "snd_hda_gen_build_controls" },
	{ 0x6bc3dac2, "snd_hda_add_new_ctls" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-hda-codec-generic,snd-hda-codec,snd-hda-core,snd,ledtrig-audio";

MODULE_ALIAS("hdaudio:v14F11F86r*a01*");
MODULE_ALIAS("hdaudio:v14F12008r*a01*");
MODULE_ALIAS("hdaudio:v14F120D0r*a01*");
MODULE_ALIAS("hdaudio:v14F15045r*a01*");
MODULE_ALIAS("hdaudio:v14F15047r*a01*");
MODULE_ALIAS("hdaudio:v14F15051r*a01*");
MODULE_ALIAS("hdaudio:v14F15066r*a01*");
MODULE_ALIAS("hdaudio:v14F15067r*a01*");
MODULE_ALIAS("hdaudio:v14F15068r*a01*");
MODULE_ALIAS("hdaudio:v14F15069r*a01*");
MODULE_ALIAS("hdaudio:v14F1506Cr*a01*");
MODULE_ALIAS("hdaudio:v14F1506Er*a01*");
MODULE_ALIAS("hdaudio:v14F15097r*a01*");
MODULE_ALIAS("hdaudio:v14F15098r*a01*");
MODULE_ALIAS("hdaudio:v14F150A1r*a01*");
MODULE_ALIAS("hdaudio:v14F150A2r*a01*");
MODULE_ALIAS("hdaudio:v14F150ABr*a01*");
MODULE_ALIAS("hdaudio:v14F150ACr*a01*");
MODULE_ALIAS("hdaudio:v14F150B8r*a01*");
MODULE_ALIAS("hdaudio:v14F150B9r*a01*");
MODULE_ALIAS("hdaudio:v14F150F1r*a01*");
MODULE_ALIAS("hdaudio:v14F150F2r*a01*");
MODULE_ALIAS("hdaudio:v14F150F3r*a01*");
MODULE_ALIAS("hdaudio:v14F150F4r*a01*");
MODULE_ALIAS("hdaudio:v14F1510Fr*a01*");
MODULE_ALIAS("hdaudio:v14F15110r*a01*");
MODULE_ALIAS("hdaudio:v14F15111r*a01*");
MODULE_ALIAS("hdaudio:v14F15113r*a01*");
MODULE_ALIAS("hdaudio:v14F15114r*a01*");
MODULE_ALIAS("hdaudio:v14F15115r*a01*");
MODULE_ALIAS("hdaudio:v14F151D7r*a01*");

MODULE_INFO(srcversion, "1C50A6050D905E828CED34D");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
