#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x1c6e5bfc, "module_layout" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf9a482f9, "msleep" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xeb711ae7, "snd_soc_params_to_bclk" },
	{ 0x815588a6, "clk_enable" },
	{ 0x480a2b6a, "snd_soc_dapm_get_enum_double" },
	{ 0x29527106, "i2c_del_driver" },
	{ 0xd7e2008d, "snd_soc_dapm_get_volsw" },
	{ 0xdeb9c0aa, "regmap_update_bits_base" },
	{ 0x28dbfdb6, "snd_pcm_hw_constraint_msbits" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x837b7b09, "__dynamic_pr_debug" },
	{ 0x15348bf, "snd_soc_dapm_new_controls" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x1a2eddee, "snd_soc_component_update_bits" },
	{ 0xbe52426e, "snd_soc_put_volsw" },
	{ 0xd58d64b3, "regmap_read" },
	{ 0xacf6b0fc, "snd_soc_get_volsw" },
	{ 0x45dcb991, "snd_soc_info_enum_double" },
	{ 0x828c9223, "acpi_match_device" },
	{ 0x263eb08c, "snd_soc_dapm_add_routes" },
	{ 0xb372f1f4, "snd_soc_put_volsw_range" },
	{ 0xd1999df2, "_dev_warn" },
	{ 0xb9673fe, "snd_soc_add_component_controls" },
	{ 0x5cb2578c, "snd_soc_info_volsw_range" },
	{ 0x65e76efd, "snd_soc_bytes_info" },
	{ 0xa107613d, "snd_soc_dapm_put_volsw" },
	{ 0xc83bccd, "snd_soc_get_volsw_range" },
	{ 0x3ae582e3, "_dev_err" },
	{ 0x4a20a075, "snd_soc_info_volsw" },
	{ 0x35f75488, "i2c_register_driver" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0xb20350aa, "_dev_info" },
	{ 0x6f9cbefa, "snd_soc_get_enum_double" },
	{ 0xd4f47a58, "device_property_read_u32_array" },
	{ 0x12a38747, "usleep_range" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xcce02995, "__devm_regmap_init_i2c" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xe949e1a6, "pm_wakeup_dev_event" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xf2e50a07, "devm_snd_soc_register_component" },
	{ 0xc7f97030, "snd_soc_component_write" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2cdb6168, "devm_clk_get" },
	{ 0xf6839a59, "__dynamic_dev_dbg" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x2b6f19bc, "regcache_mark_dirty" },
	{ 0xd06df3c3, "snd_soc_put_enum_double" },
	{ 0x9b09ad3e, "snd_soc_bytes_get" },
	{ 0x4f2fa324, "snd_soc_bytes_put" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x85108b1e, "snd_soc_jack_report" },
	{ 0x76cd07e6, "snd_soc_component_read32" },
	{ 0xc8eb1d42, "devm_kmalloc" },
	{ 0x93f57e95, "devm_request_threaded_irq" },
	{ 0xbc225da6, "regmap_write" },
	{ 0x7294cc96, "regcache_sync" },
	{ 0x1d8a8a48, "is_acpi_device_node" },
	{ 0x31e29770, "regcache_cache_only" },
	{ 0x474fc30a, "snd_soc_dapm_put_enum_double" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-pcm,snd-soc-core";

MODULE_ALIAS("acpi*:193C9890:*");
MODULE_ALIAS("i2c:max98090");
MODULE_ALIAS("i2c:max98091");
MODULE_ALIAS("of:N*T*Cmaxim,max98090");
MODULE_ALIAS("of:N*T*Cmaxim,max98090C*");
MODULE_ALIAS("of:N*T*Cmaxim,max98091");
MODULE_ALIAS("of:N*T*Cmaxim,max98091C*");

MODULE_INFO(srcversion, "86BCA25ED4F3414B5F1E60B");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
