#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x1c6e5bfc, "module_layout" },
	{ 0x2e985330, "kmalloc_caches" },
	{ 0x301fa007, "_raw_spin_unlock" },
	{ 0x56d6114f, "param_ops_int" },
	{ 0x1b1b2739, "snd_pcm_period_elapsed" },
	{ 0xfd066228, "usb_init_urb" },
	{ 0x9adde057, "usb_kill_urb" },
	{ 0x8c8a5fb9, "param_ops_bool" },
	{ 0x957fab96, "snd_rawmidi_set_ops" },
	{ 0x73da5bf3, "snd_card_disconnect" },
	{ 0x9333c656, "snd_rawmidi_new" },
	{ 0xb0f6fcfb, "input_set_abs_params" },
	{ 0x1c713c3e, "input_event" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6efde59a, "param_ops_charp" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xd1999df2, "_dev_warn" },
	{ 0x90af10f1, "usb_string" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x3eb02369, "usb_deregister" },
	{ 0x80a0b40d, "snd_pcm_set_ops" },
	{ 0x87d30329, "usb_set_interface" },
	{ 0x5934acf5, "snd_pcm_lib_get_vmalloc_page" },
	{ 0x5792f848, "strlcpy" },
	{ 0xc2aaae0c, "snd_pcm_lib_ioctl" },
	{ 0x3ae582e3, "_dev_err" },
	{ 0x30b2c496, "snd_card_set_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2746bb39, "usb_urb_ep_type_check" },
	{ 0xe0767dff, "snd_card_new" },
	{ 0xfa4ae65a, "usb_submit_urb" },
	{ 0x64ec453, "_snd_pcm_lib_alloc_vmalloc_buffer" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x97ea1bed, "usb_reset_device" },
	{ 0x3491cb5f, "input_register_device" },
	{ 0x470b0664, "usb_bulk_msg" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb0263440, "snd_ctl_new1" },
	{ 0x76520e7f, "input_free_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x67e213b2, "kmem_cache_alloc_trace" },
	{ 0xdbf17652, "_raw_spin_lock" },
	{ 0xf6839a59, "__dynamic_dev_dbg" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0x3eeb2322, "__wake_up" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x37a0cba, "kfree" },
	{ 0x17075e3c, "input_unregister_device" },
	{ 0x130e96cb, "param_array_ops" },
	{ 0x16e8257f, "usb_register_driver" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc1d65d4e, "snd_card_free" },
	{ 0x88df8b58, "snd_card_register" },
	{ 0xe8b123f1, "snd_pcm_limit_hw_rates" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdfc7c03c, "snd_pcm_new" },
	{ 0x7d2e980b, "snd_pcm_lib_free_vmalloc_buffer" },
	{ 0x42f55850, "snd_ctl_add" },
	{ 0x5f3dea7b, "snd_rawmidi_transmit" },
	{ 0xe6d40a4c, "usb_free_urb" },
	{ 0x75d5f00b, "snd_rawmidi_receive" },
	{ 0x49f505f3, "usb_alloc_urb" },
	{ 0xd288bcae, "input_allocate_device" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-pcm,usbcore,snd-rawmidi,snd";

MODULE_ALIAS("usb:v17CCp1969d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0815d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1978d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0D8Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0839d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp2305d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCpBAFFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0808d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "F759D6A3FBC8A3314E7EB77");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
